Skip to content

Get Mexico payout data by id

GET
/order/v1/payout/mexico/{id}

NOTE: Please, to authenticate use the scope: “api://app-order-hml”

id
required
string

The resource was returned successfully

object
id
required

Payout id, unique identification

string
idempotencyKey
required

Payout idempotency key

string
description
required

Payout description

string
amount
required

Payout amout

string
status
required

Payout status

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
errorMessage
required

Payout error message

string
createdAt
required

Payout creation date

string
crypto
required

The crypto

object
address
required

The crypto wallet address

string
memo
required

The memo

string
batch

Batch information when this payout was split into a batch

object
id
required

Id of the batch

string
transactionsCount
required

Total number of child transactions in the batch

number
paidCount
required

Number of child transactions already paid

number
failedCount
required

Number of child transactions that failed

number
pendingCount
required

Number of child transactions still pending

number
paidAmount
required

Amount already paid across all child transactions

string
pendingAmount
required

Amount still pending across all child transactions

string
transactions
required

Child transactions the batch was split into

Array<object>
object
id
required

Id of this child transaction

string
idempotencyKey
required

Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it

string
sequence
required

Ordering position of this child transaction within the batch

number
amount
required

Amount of this child transaction

string
status
required

Status of this child transaction

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
endToEndId

End-to-end id of this child transaction

string
paidAt

Date this child transaction was paid

string
errorMessage

Error message when this child transaction failed

string
financialPartner
required

The financial partner of the payout

string
Allowed values: GAMECASH
paymentMethod
required

The payout payment method

string
Allowed values: SPEI KIOSKO TETHER
customer
required

Payout Customer data

object
fullName
required

Customer fullName

string
email

Customer email

string
phone

Customer phone

string
birth

The date of birth or foundation, in ISO-8601 YYYY-MM-DD format.

string
document
required

Document

object
type
required

The mexican document type (RUC, RFC).

string
Allowed values: CURP RFC
number
required

The document number

string
bank
required

The payout bank information

object
account
required

Bank account information data

object
accountNumber
required

The account number or clabe interbancaria

string
bankCode

The bank code

string

The request is not valid

Array<string>

Unauthorized Request

Array<string>

Resource not found

Array<string>

An unexpected error occurred inside the server

Array<string>